List License Endpoint Mappings

List License Endpoint Mappings
List all license-endpoint mappings

List all license-endpoint mappings. This can be further filtered out by using the query parameters.

Request
URI
GET
https://{api_host}/licensing/license-endpoint-mappings
COPY
Query Parameters
string
endpoint_id
Optional

Use this request param to filter the mappings by endpoint UUID.

string
license_id
Optional

Use this request param to filter the mappings by license UUID.


Authentication
This operation uses the following authentication methods.
Responses
200

List all license-endpoint mappings.

Returns LicenseEndpointMappingList of type(s) application/json
This response body class contains all of the following: ListResult , InlineLicenseEndpointMappingList1
{
    "total_result_count": 1,
    "results": [
        {
            "id": "abcd-1234-efgh-5678-ijkl",
            "license_id": "3DEC4C99-E9B9-4B88-B991-591C9CB2A51F",
            "endpoint_id": "ffddc3d9-ecaa-470a-9155-69cbc2783d87"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/licensing/license-endpoint-mappings